about summary refs log tree commit diff
path: root/users/fcuny/blog/scripts/deploy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'users/fcuny/blog/scripts/deploy.sh')
-rwxr-xr-xusers/fcuny/blog/scripts/deploy.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/users/fcuny/blog/scripts/deploy.sh b/users/fcuny/blog/scripts/deploy.sh
index 69ad82a..4199766 100755
--- a/users/fcuny/blog/scripts/deploy.sh
+++ b/users/fcuny/blog/scripts/deploy.sh
@@ -1,8 +1,14 @@
 #!/usr/bin/env bash
 
+set -ueo pipefail
+
+cd $(git rev-parse --show-toplevel)
+
 git diff --exit-code
 git diff --staged --exit-code
 
+cd users/fcuny/blog
+
 flyctl deploy
 
 VERSION=$(flyctl info -j |jq -r '.App | "fcuny.net/v\(.Version)"')